Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 932405 - mate-base/caja-1.28.0 fails to compile: eel-gtk-macros.h:136:3: error: dereferencing type-punned pointer will break strict-aliasing rules [-Werror=strict-aliasing]
Summary: mate-base/caja-1.28.0 fails to compile: eel-gtk-macros.h:136:3: error: derefe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: immolo
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: lto
  Show dependency tree
 
Reported: 2024-05-22 07:26 UTC by Agostino Sarubbo
Modified: 2024-06-16 06:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,460.69 KB, text/plain)
2024-05-22 07:26 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-05-22 07:26:01 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: mate-base/caja-1.28.0 fails to compile.
Discovered on: amd64 (internal ref: lto_tinderbox)
System: LTO-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#LTO)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0014
Comment 1 Agostino Sarubbo gentoo-dev 2024-05-22 07:26:02 UTC
Created attachment 893702 [details]
build.log

build log and emerge --info
Comment 2 Eli Schwartz 2024-05-22 14:35:30 UTC
https://github.com/gentoo/gentoo/pull/36141#discussion_r1610111629

Previous fix got removed during a version bump.
Comment 3 Larry the Git Cow gentoo-dev 2024-06-16 06:06:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b8e09aac5a0d25c26b672b7e48a93ab839e06982

commit b8e09aac5a0d25c26b672b7e48a93ab839e06982
Author:     Ian Jordan <immoloism@gmail.com>
AuthorDate: 2024-06-15 13:39:30 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2024-06-16 06:05:21 +0000

    mate-base/caja: Reapply LTO filter
    
    This was removed in error in the testing phase of 1.27.
    
    Closes: https://bugs.gentoo.org/932405
    Thanks-to: Eli Schwartz <eschwartz93@gmail.com>
    Signed-off-by: Ian Jordan <immoloism@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 mate-base/caja/caja-1.28.0-r1.ebuild | 97 ++++++++++++++++++++++++++++++++++++
 1 file changed, 97 insertions(+)